Tipos de Tarefa

Listar Tipos de Tarefa

Retorna dados referentes aos tipos de tarefa. Paginado em 100 registros por página.

GET
/v1.0/task-types

Query Parameters

apiKey*string

Chave de acesso da empresa. Encontrada na aba BI de Minha Empresa.

page*integer

Número da página (inicia em 1)

Name?string

Nome do tipo de tarefa para filtro

WorkflowId?integer

ID do fluxo de trabalho para filtro

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://api.ekyte.com/v1.0/task-types?apiKey=xxxxxxxxxxxxxxx&page=1"
{
  "error": null,
  "data": [
    {
      "id": 0,
      "name": "string",
      "description": "string",
      "workflowId": 0,
      "workflow": {
        "id": 0,
        "name": "string"
      },
      "ctcTaskTypeGroupId": 0,
      "ctcTaskTypeGroup": {
        "id": 0,
        "name": "string"
      },
      "tags": [
        {
          "id": 0,
          "name": "string",
          "color": "string",
          "taskTypeId": 0
        }
      ],
      "flowPhases": [
        {
          "id": 0,
          "cophaseId": 0,
          "phaseId": 0,
          "phase": {},
          "checklistId": 0,
          "checklist": {},
          "taskTypeId": 0
        }
      ]
    }
  ],
  "paging": {
    "currentPage": {
      "size": 0,
      "number": 0
    },
    "totalCollectionSize": 0,
    "totalPages": 0
  }
}
{
  "error": {
    "id": "string",
    "message": "string",
    "details": "string",
    "code": "string"
  },
  "data": null
}
{
  "error": {
    "id": "string",
    "message": "string",
    "details": "string",
    "code": "string"
  },
  "data": null
}
{
  "error": {
    "id": "string",
    "message": "string",
    "details": "string",
    "code": "string"
  },
  "data": null
}